You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-07-15 12:44:26

cremos
Guest
Registered: 2012-08-15
Posts: 50

Glpi 9.1.6 to 9.2.4 [ Toolbox::deprecated ]

Bonjour,

Je suis en GLPI 9.1.6 et je souhaite faire une mise à jour.

Faut-il d’abord passer pas les versions intermédiaires 9.2 puis 9.3 et 9.4 ? Ou peut-on passer directement à la dernière version de GLPI 9.2.4

Je suis en Debian GNU/Linux 9.9 (stretch) et PHP7.2
Il est impossible de faire la mise à jour via le navigateur trop long pour une basse de données d’environ 20Go pour un parc de 65000 ordinateurs. J’ai donc utilisé cliupdate sans résultat avec une erreur PHP (Toolbox::deprecated() avec une deprecation notice related to GLPI core.

php cliupdate.php --force
 
From Toolbox::deprecated() in /var/www/inc/toolbox.class.php line 486
inc/db.function.php:549 Toolbox::deprecated()
tools/cliupdate.php:175 TableExists()
tools/cliupdate.php:175 TableExists()
From Toolbox::deprecated() in /var/www/inc/toolbox.class.php line 486 (0.006", 3.70Mio)
FieldExists() function is deprecated
Backtrace :
inc/toolbox.class.php:487 Toolbox::backtrace()
inc/db.function.php:568   Toolbox::deprecated()
Current GLPI Data version: 9.1.6
Current GLPI Code version: 9.2.4
Default GLPI Language: fr_FR
Unsupported version (9.1.6)

Merci d’avance pour vos réponses.

Offline

Board footer

Powered by FluxBB